<template>
  <div class="partnersview">
    <!-- part-one  -->
    <v-container
      fluid
      :class="$vuetify.breakpoint.smAndDown ? 'mt-80' : 'mt-140 pr-12 pl-12'"
    >
      <v-row class="pa-12" align="center" justify="space-between">
        <v-col cols="12">
          <h1 class="text-center main-color allh1-headline">
            {{ $t('menu.partner.iraniancmp') }}
          </h1>
        </v-col>
        <v-col
          cols="12"
          md="9"
          :class="$vuetify.breakpoint.mdAndDown ? '' : 'pl-12'"
        >
          <div
            :class="
              $vuetify.breakpoint.mdAndDown
                ? 'text-center partner-description'
                : 'partner-description'
            "
          >
            <h2 class="allh2-headline">
              {{ dataGiven.title }}
            </h2>
            <p>
              {{ dataGiven.description }}
            </p>
          </div>
        </v-col>
        <v-col
          cols="12"
          md="3"
          :class="$vuetify.breakpoint.mdAndDown ? '' : 'pl-6'"
        >
          <div>
            <div class="logopart text-center d-flex justify-center">
              <a
                rel="noopener noreferrer"
                href="iritco.ir"
                title="iritco"
                target="_blank"
              >
                <i class="text-center abi red--text">ir_iritco</i>
              </a>
            </div>
          </div>
        </v-col>
      </v-row>
    </v-container>
    <!-- part-two  -->
    <v-container
      v-scrollAnime
      fluid
      :class="
        $vuetify.breakpoint.smAndDown
          ? 'grey lighten-5'
          : 'grey lighten-5 pr-12 pl-12'
      "
    >
      <v-row class="pa-12">
        <v-col cols="12" class="mt-12 pb-12 text-center partner-description">
          <h2 class="allh2-headline">
            {{ dataGiven.whatIsIraninan.title }}
          </h2>
        </v-col>
        <v-col cols="12" md="9">
          <List
            :data="dataGiven.whatIsIraninan.items"
            :icon="`mdi-information-outline`"
            :bgcolor="`grey lighten-5`"
          />
        </v-col>
        <v-col
          cols="12"
          md="3"
          :class="$vuetify.breakpoint.mdAndDown ? '' : 'pl-6'"
        >
          <div>
            <v-img
              :src="require('../../../assets/images/partner/mohtava.svg')"
              :srcset="require('../../../assets/images/partner/mohtava.svg')"
              :lazy-src="require('../../../assets/images/partner/mohtava.svg')"
              contain
            ></v-img>
          </div>
        </v-col>
      </v-row>
    </v-container>
    <!-- part-three  -->
    <v-container
      v-scrollAnime
      fluid
      :class="$vuetify.breakpoint.smAndDown ? '' : 'pr-12 pl-12'"
    >
      <v-row>
        <v-col cols="12" class="mt-12 pb-12">
          <h2 class="text-center allh2-headline">
            {{ dataGiven.keywords.title }}
          </h2>
          <List
            :data="dataGiven.keywords.items"
            :icon="`mdi-information-outline`"
          />
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>
<script>
export default {
  name: 'AboutIraninan',
  props: {
    dataGiven: {
      type: Object,
      required: true,
    },
  },
};
</script>
